// Main code: Laser_Input.ino
#include "Laser.h"

Laser laserLL(7, "LL"); // create a laser object and attach it to the pin.
Laser laserLR(6, "LR"); // create a laser object and attach it to the pin.
int leftSideHasNoHands = 0;
int previousLeftSideHasNoHands = 0;

Laser laserRL(5, "RL"); // create a laser object and attach it to the pin.
Laser laserRR(4, "RR"); // create a laser object and attach it to the pin.
int rightSideHasNoHands = 0;
int previousRightSideHasNoHands = 0;

void setup()
{
  Serial.begin(9600);
}

void loop()
{
  laserLL.update();
  laserLR.update();

  laserRL.update();
  laserRR.update();
  
  checkLeftSide();
  checkRightSide();
}

// Keeps track of whether or not one of the left side lasers is broken.
void checkLeftSide()
{
  leftSideHasNoHands = !laserLL.getHasHand() && !laserLR.getHasHand();

  if (leftSideHasNoHands && !previousLeftSideHasNoHands)
  {
    Serial.println("LM");
  }
  else if (!leftSideHasNoHands && previousLeftSideHasNoHands)
  {
    // Nothing (yet)
  }

  previousLeftSideHasNoHands = leftSideHasNoHands;
}

// Keeps track of whether or not one of the right side lasers is broken.
void checkRightSide()
{
  rightSideHasNoHands = !laserRL.getHasHand() && !laserRR.getHasHand();

  if (rightSideHasNoHands && !previousRightSideHasNoHands)
  {
    Serial.println("RM");
  }
  else if (!rightSideHasNoHands && previousRightSideHasNoHands)
  {
    // Nothing (yet)
  }

  previousRightSideHasNoHands = rightSideHasNoHands;
}
